// EdIRPrtV.hpp : header file
//

#ifndef _EDIRPRTV_HPP_
#define _EDIRPRTV_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CPA_EdIR_PrintView view
/////////////////////////////////////////////////////////////////////////////

class CPA_EdIR_DiagView;

class CPA_EdIR_PrintView : public CView
{
	protected:
		CPA_EdIR_PrintView();           // protected constructor used by dynamic creation
		DECLARE_DYNCREATE(CPA_EdIR_PrintView)

	// Attributes
	public:
		CPA_EdIR_DiagView	*m_pclDiagView;

	// Operations
	public:
		BOOL	m_fn_bCreate(CWnd *);

		void	m_fn_vPrintPreview();

	// Overrides
		// ClassWizard generated virtual function overrides
		//{{AFX_VIRTUAL(CPA_EdIR_PrintView)
		protected:
			virtual void OnDraw(CDC* pDC);      // overridden to draw this view
			virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
			virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
			virtual void OnEndPrintPreview(CDC* pDC, CPrintInfo* pInfo, POINT point, CPreviewView* pView);
			virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

	// Implementation
	protected:
		virtual ~CPA_EdIR_PrintView();
	#ifdef _DEBUG
		virtual void AssertValid() const;
		virtual void Dump(CDumpContext& dc) const;
	#endif

		// Generated message map functions
	protected:
		//{{AFX_MSG(CPA_EdIR_PrintView)
			// NOTE - the ClassWizard will add and remove member functions here.
		//}}AFX_MSG

		DECLARE_MESSAGE_MAP()
};

#endif //_EDIRPRTV_HPP_
